> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.kolena.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Access Logs

> Query access logs

export const limit_0 = 60

<Note> This is available on the Enterprise Plan. [Contact Kolena](mailto:support@kolena.com) if you’re not on an Enterprise plan but would like to try this feature.</Note>

<Info>
  **Rate Limit:** This endpoint is limited to **{limit_0.toLocaleString()} requests per minute** per user.
</Info>


## OpenAPI

````yaml PUT /api/v1/client/access-logs/query
openapi: 3.1.0
info:
  title: kolena
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/client/access-logs/query:
    put:
      tags:
        - client
        - access-logs
      summary: Client Query Access Logs
      operationId: client_query_access_logs_api_v1_client_access_logs_query_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientQueryAccessLogsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientQueryAccessLogsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ClientQueryAccessLogsRequest:
      properties:
        time_range:
          $ref: '#/components/schemas/ClientTimeRange'
        filters:
          $ref: '#/components/schemas/LogFilters'
        page_size:
          type: integer
          maximum: 10000
          minimum: 1
          title: Page Size
          default: 100
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
      type: object
      title: ClientQueryAccessLogsRequest
    ClientQueryAccessLogsResponse:
      properties:
        total_events:
          type: integer
          title: Total Events
          description: Total number of events matching the query filters
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor to use for fetching the next page of results
        events:
          items:
            $ref: '#/components/schemas/AccessLogEvent'
          type: array
          title: Events
          description: List of access log events matching the query
      type: object
      required:
        - total_events
        - events
      title: ClientQueryAccessLogsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientTimeRange:
      properties:
        start_time:
          type: string
          format: date-time
          title: Start Time
          description: >-
            Start time in ISO 8601 format with timezone (e.g.
            '2025-09-04T04:00:00+08:00')
        end_time:
          type: string
          format: date-time
          title: End Time
          description: >-
            End time in ISO 8601 format with timezone (e.g.
            '2025-09-04T04:00:00+08:00')
      type: object
      title: ClientTimeRange
    LogFilters:
      properties:
        users:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Users
        client_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Client Ips
      type: object
      title: LogFilters
    AccessLogEvent:
      properties:
        timestamp_millis:
          type: integer
          title: Timestamp Millis
        workspace_id:
          type: integer
          title: Workspace Id
        user:
          type: string
          title: User
        client_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Ip
        operation:
          type: string
          title: Operation
        http_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Http Path
        http_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Http Method
        http_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Http Status
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - timestamp_millis
        - workspace_id
        - user
        - operation
      title: AccessLogEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`. The `<token>`
        represents your API key, which must be acquired from the Kolena
        platform.

````